package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealApplyRecallRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】  需要撤回的物理用印申请
	BusinessId *int64                  `json:"businessId"`
	UserInfo   *common.UserInfoRequest `json:"userInfo"`
	// <ext>core:true</ext> 【撤回原因】撤回原因 【作用】 记录撤回的原因，在用印详情页面展示
	Reason string `json:"reason,omitempty"`
}

func (obj SealApplyRecallRequest) GetUrl() string {
	return "/seal/apply/recall"
}

func (obj SealApplyRecallRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
